* {
    font-family: 'JetBrains Mono', 'Fira Code', monospace;
    scroll-behavior: smooth;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    max-width: 100vw;
}

html {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: max-content;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
}

body {
    width: 100vw;
    min-height: max-content;
    margin: 0;
    display: block;
    flex-direction: column;
    position: absolute;
    top: 0;
    left: 0;
    overflow-x: hidden;
}

a:has(img) {
    position: relative;
    width: 25px;
    height: 25px;
    margin: auto;
    border-radius: 50%;
    padding: 1rem;
}
#payfast-form-info{    
    position: absolute;
    opacity:0;
    left:0;
    top:100%;
    background-color: #a8a8a8;
    transition:all 0.2s ease-in-out;
    -webkit-transition:all 0.2s ease-in-out;
    z-index:-1;

    top:0%;
    border-bottom-left-radius:5px;
    border-bottom-right-radius:5px;
    margin:auto;
}

#payfast-form-info.on{
    transition:all 0.4s ease-in-out;
    -webkit-transition:all 0.4s ease-in-out;
    opacity:1;
    top:100%;
    background-color: #a8a8a8; 
    margin:auto;
    width:200px;
    
    align-items: center;
    align-content: center;
    display:block;   
}
ul{
    padding-inline-start: 22.5px;
    font-size:0.7rem;
}
#payfast-form-info>p{
    margin:auto;
    
    margin:0.67rem;

}
    a#coffee>img{
        height:25px;
        width:25px;
    }

header>nav>form.innerOn{
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    
}

a:has(img)>img {
    position: absolute;
    display: inline;
}

header>nav>form {
    opacity: 0;
    position: absolute;
    visibility: hidden;
    top: 100%;
    background-color: #a8a8a8;
    height: 55px;
    justify-content: space-between;
    padding: 0;
    width: 200px;
    transition:all 0.4s ease-in-out;
    -webkit-transition:all 0.4s ease-in-out;
    
    border-radius:5px;
}
header>nav>form.on{
    transition:unset;
    -webkit-transition: unset;
    position: relative;
opacity: 1;
visibility: visible;

}

form.on > div >button:hover > svg{
    transform:scale(1.1);
    -webkit-transform:scale(1.1);
}

a:has(img)>p {
    margin: auto;
    position: relative;
    top: 160%;
    left: 50%;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    width: 0;
    height: 0;

    color: rgba(245, 245, 245, 0);
    overflow: hidden;
    text-wrap: nowrap;
    text-overflow: clip;
    transition: all 0.3s ease-in-out;
}

a:has(img):hover>p {
    
    left: 50%;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    opacity: 1;
    width: 120px;
    color: rgb(140, 5, 32);

}

main {
    position: relative;
    top: 0;
    left: 0;
    width: 100vw;
    display: flex;
    flex-direction: column;
}


header {
    display: flex;
    justify-content: space-between;
    width: 100vw;
    padding-top: 0;
    height: 10vh;
    max-height: 10vh;
    font-weight: 100;
    margin-top: 0vh;
    top: 0;
    -webkit-transform: translate(0%, 0%);
    transform: translate(0%, 0%);
    position: fixed;
    z-index: 1;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    background: rgba(0, 0, 0, 0.1);
}

a {
    all: unset;
    width: 100%;
    text-align: left;
} 

nav {
    display: flex;
    padding-top: 0.5vh;
    padding-bottom: 0.5vh;
    margin: auto;
    margin-right: 5vw;

}

header>nav>a {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    align-content: center;
    cursor: pointer;
}

header>nav>a>p,
header>nav>a>img {
    cursor: pointer;
    text-align: center;
    align-content: center;
    font-size: 0.80rem;
    margin: auto;
    padding: 1rem;
}

header>nav>a:hover {
    cursor: pointer;
    font-weight: bold;
    background: rgba(0, 0, 0, 0.1);
}


#toggle-nav {
    opacity: 0;
    visibility: hidden;
    position: relative;
    z-index: 1;
    top: 50%;
    transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
}

.main-badge-cont {
    height: 100%;
    display: flex;
    align-items: center;
    margin: auto;
    margin-left: 5vw;
}



main>section {
    margin: auto;
    position: relative;
    top: 0;
    left: 0;
    max-width: 70vw;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

section>.section-inner {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    margin: auto;
}

#home>.section-inner>.section-inner-content >a {
    height: 2.67rem;
    font-weight: 600;
    padding-top: 0.45rem;
    padding-bottom: 0.45rem;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    border-radius: 5px;
    cursor: pointer;
    border:solid black 2px;
}

body {
    background-color: #ffffff;
    background-image:
        linear-gradient(rgba(0, 0, 0, 0.05) 1px, transparent 1px),
        linear-gradient(90deg, rgba(0, 0, 0, 0.05) 1px, transparent 1px);
    background-size: 8px 8px;
    max-width: 100vw;
    overflow-x: hidden;
}
*{
    scroll-margin-top: 10vh;
}
#home>.section-inner {

    display: flex;
    justify-content: space-between;
    flex-direction: column;
    max-height: 80vh;
    height: 75%;
    width: 600px;
    max-width: 85vw;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    margin: auto;
}

#home>.section-inner>.section-inner-content>h1 {
    font-size: 2.5rem;
    font-weight: 900;
}

#home>.section-inner>.section-inner-content>.section-inner-content-text>p,
#home>.section-inner>.section-inner-content>.section-inner-content-text>code {
    font-size: 1.2rem;
    margin: auto;

}

#home>.section-inner>.section-inner-content>p {
    font-size: 1.1rem;
}

#svg-button-cont>svg {
    
    cursor: pointer;
    max-width: 25px;
    max-height: 25px;
    will-change: transform;
    transition: all 0.9s ease-in-out;
    -webkit-transition: all 0.9s ease-in-out;
    animation: bounce 0.9s ease-in-out infinite alternate;
    -webkit-animation: bounce 0.9s ease-in-out infinite alternate;
}

#svg-button-cont>svg:hover {
    animation: unset;
    -webkit-animation: unset;
    -webkit-animation: all 0.99s ease-in-out forwards;
    animation: rotate 0.99s ease-in-out forwards;
}

@keyframes rotate {
    from {
        transform: rotate(0deg);
        -webkit-transform: rotate(0deg);
    }

    to {
        transform: rotate(180deg) scale(1.5);
        -webkit-transform: rotate(180deg) scale(1.5);
    }
}

#svg-button-cont {
    margin: auto;
    position: absolute;
    bottom: -10vh;
    left: 50%;
}

@keyframes bounce {
    0% {
        transform: translateY(0%);
        -webkit-transform: translateY(0%);

    }

    45% {
        transform: translateY(-45%);
        -webkit-transform: translateY(-45%);
    }

    50% {
        transform: translateY(-47%);
        -webkit-transform: translateY(-47%);
    }

    100% {
        transform: translateY(0%);
        -webkit-transform: translateY(0%);
    }
}

#about {
    justify-content: space-evenly;
    max-width: 95vw;
    width: 600px;
}

#about>.section-inner {
    position: absolute;
    justify-content: space-evenly;
    max-width: 95vw;
    height: 90vh;
    width: 600px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    cursor: text;
}

#about .section-inner-content>.section-inner-content-card {
    border: solid 2px rgba(0, 0, 0, 0.3);
    border-radius: 7.5px;
    height: 6.7vh;
    padding-top: 0.7rem;
    padding-bottom: 0.7rem;
    width: 150px;

    max-width: 22vw;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    margin: auto;
    display: flex;
    flex-direction: column;
    text-align: center;
    align-content: center;
    justify-content: center;
}


.section-inner-content-card>strong {
    font-size: 1.6rem;
}

.section-inner-content-card>em {
    color: rgba(0, 0, 0, 0.5);
}

#tech-stack {
    position: relative;
    top: 0;
    width: 100%;
    min-height: unset;
    height: 50vh;


    max-width: 100vw;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    align-items: center;
    align-content: center;
    gap: 1vh;
}

#tech-stack>.section-inner {
    display: grid;
    grid-template-areas: "a b c z";
    grid-auto-flow: row dense;
    grid-template-columns: 22.5vw 22.5vw 22.5vw 22.5vw;
    grid-template-rows: 25vh;
    gap: 2.5vh;
    margin: auto;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    -webkit-transform: translateX(-50%);
    width: 95vw;

}

#tech-stack>.section-inner>.section-inner-heading {
    position: absolute;
    top: 0;
    text-align: left;
    max-width: 20vw;
    margin: auto;
    left: 0;
    top: 0;

}

#tech-stack>.section-inner>.section-inner-content {
    position: relative;
    top: 15vh;
    width: 100%;
    height: 100%;
    border: solid 1px rgba(0, 0, 0, 0.67);
    border-radius: 7.5px;
    margin: auto;
    transition: border 0.5s ease-out;
    -webkit-transition: border 0.5s ease-out;
    display: flex;
    justify-content: center;
    align-items: center;
    align-content: center;
    width: 20vw;
    height: 25vh;
}


.section-inner-content-heading {
    position: relative;
    top: 0px;


    writing-mode: vertical-lr;
    writing-mode: sideways-lr;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-content: center;
    color: whitesmoke;
    background-color: #000000;

    width: 1.8rem;
    font-size: 0.85rem;
    height: 25vh;
    box-sizing: content-box;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    border: solid black 1px;

}

.section-inner-content-heading>h3 {

    font-weight: 100;
    width: 1.2rem;
    color: whitesmoke;
    background-color: #000000;
    padding: 0;
    position: relative;
    margin: auto;
}

.section-inner-content-heading>svg {
    margin: auto;
    width: 25px;
    height: 25px;
    max-height: 1.5rem;
    transform: rotate(270deg);
}

.tech-stack-content>.tech-stack-content-row1>h4 {
    font-size: 0.9rem;
    font-weight: 600;
    font-size: 1.1rem;
    max-width: calc(15vw - 32px);
    margin-left: 1.5rem;
    font-weight: 300;

}

.section-inner-content-body {
    margin: auto;
}

.tech-stack-content {
    display: flex;
    align-items: center;
    align-content: center;
    flex-direction: column;
    justify-content: space-around;
    gap: 5px;


    margin: auto;
}


.tech-stack-content-row1 {
    display: flex;
    justify-content: space-between;
    margin: auto;
    align-items: center;
    align-content: center;
    gap: 1vw;
    width: 19vw;
    max-height: 35px;

}

img.tech-stack-content-img {
    width: 30px;
    height: 30px;
    margin: auto;
    margin-right: 1.5rem;

}


#projects {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    width: 100vw;
    max-width: 100vw;
    height: 103vh;
}

#projects>.section-inner {
    width: 100%;
    margin: auto;

}

#projects>.section-inner-heading {
    margin: auto;
    height: 10vh;
    max-height: 15vh;
    position: relative;
    top: 0;
    margin-bottom: 0;
    margin-top: 0;
    max-width: 90vw;
    text-align: left;
}

#projects>.section-inner {
    position: absolute;
    top: 0vh;
    left: 50%;
    transform: translateX(-50%);
    -webkit-transform: translateX(-50%);
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(23vw, 29vw));
    grid-template-rows: repeat(2, 40vh);
    grid-auto-flow: row dense;
    gap: 3vh;
    max-width: 95vw;
    height: 87vh;
    margin: auto;
    align-items: center;
}

#projects>.section-inner>.section-inner-content {
    position: relative;
    top: 15dvh;

    left: 0;
    height: 90%;
    width: 100%;
    border: solid 1px rgba(0, 0, 0, 0.67);
    border-radius: 7px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
    padding: 0.1rem 9rem;
    margin: auto;
}

#projects>.section-inner>.section-inner-content:hover {
    border: solid 1.67px;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    filter: brightness(1.05);
    -webkit-filter: brightness(1.05);
    -webkit-transform: scale(1.033);
    transform: scale(1.033);
}

#projects>.section-inner>.section-inner-content>svg {

    transition: all 0.15s ease-out;
    -webkit-transition: all 0.15s ease-out;
}

#projects>.section-inner>.section-inner-content>.projects-content-card-row1 {
    margin: auto;
    text-align: center;
}

#projects>.section-inner>.section-inner-content>.projects-content-card-row4 {
    width: 100px;
    height: 25.5px;
    justify-content: space-between;
    display: flex;
    margin: auto;

}

#projects>.section-inner>.section-inner-content>.projects-content-card-row4>a {
    position: relative;
    top: 50%;
    left: 0%;
    transform: translate(0%, -50%);
    -webkit-transform: translate(0%, -50%);
    width: 25.5px;
    height: 25.5px;
    transition: all 0.5s ease-out;
    transform-origin: center center;
    -webkit-transition: all 0.5s ease-out;
    -webkit-transform-origin: center center;

    cursor: pointer;


}

#projects>.section-inner>.section-inner-content>.projects-content-card-row4>svg {
    position: relative;
    top: 50%;

    left: 0%;
    transform: translate(0%, -50%);
    -webkit-transform: translate(0%, -50%);
    width: 25.5px;
    height: 25.5px;
    transition: all 0.5s ease-out;
    -webkit-transition: all 0.5s ease-out;
    -webkit-transform: center center;
    transform-origin: center center;

    cursor: pointer;
}


#projects>.section-inner>.section-inner-content>.projects-content-card-row4>a>svg {
    transition: all 0.5s ease-out;
    -webkit-transition: all 0.5s ease-out;
}

#projects>.section-inner>.section-inner-content>.projects-content-card-row4>a:hover,
#projects>.section-inner>.section-inner-content>.projects-content-card-row4>svg:hover {
    transform: scale(1.1) translate(-0%, -50%);
    -webkit-transform: scale(1.1) translate(-0%, -50%);
}

#home>.section-inner>.section-inner-content >a:hover{
    background-color: black;
    color:white;
   
}

#projects>.section-inner>.section-inner-content>.projects-content-card-row4>a>svg {
    position: absolute;
    display: block;
    width: 25px;
    height: 25px;
    cursor: pointer;
    margin: auto;
}


.projects-content-card-row2>h4 {
    font-size: 0.95rem;

    text-align: center;

    margin: auto;
}

.projects-content-card-row2>p {
    font-size: 0.76rem;
}


#projecsts>.section-inner>.section-inner-content>.projects-section-inner-content-card:hover svg {
    cursor: pointer;
    transform: scale(1.1);
    -webkit-transform: scale(1.1);

}

#projects>.section-inner>.section-inner-content>.projects-section-inner-content-card:hover { transform: scale(1.03); -webkit-transform: scale(1.03); }

#projects>.section-inner>.section-inner-content {
    margin: auto;
    max-width: 85%;
    padding: 0.1rem 1.5rem;
    cursor: default;

}

.projects-content-card-row1 {
    margin: auto;
    margin-bottom: 0;

}

.projects-content-card-row3 {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(30px, 70px));
    grid-template-rows: repeat(auto-fill, calc(20px + 0.15rem));
    grid-auto-flow: row dense;
    justify-content: space-evenly;
    width: 100%;
    text-overflow: ellipsis;

    gap: 5px;
    text-align: center;
    align-content: center;
    align-items: center;
    margin: auto;
    margin: 0;
    cursor: text;
    padding-top: 0;
}

.projects-content-card-row3>span {
    display: block;
    position: relative;

    border-radius: 5px;
    width: 65px;
    height: calc(15px - 0.15rem);
    padding: 0.15rem;
    border: solid rgba(0, 0, 0, 0.67) 1px;
    font-size: 0.60rem;
    text-overflow: ellipsis;
    margin: auto;
    background-color: #ececec80;

}


.projects-featured {
    display: flex;
    align-content: center;
    align-items: center;
    text-align: center;
    position: absolute;
    top: 1vw;
    right: 1vh;
    font-size: 0.7rem;
    padding: 0.3rem;
    margin: auto;

    min-width: max-content;
    border-radius: 5px;
    height: 20px;
    border: solid rgba(0, 0, 0, 0.67) 1px;
    margin-right: 0;
    background-color: rgb(16, 16, 16);
    color: #e7e7e7;
}


.projects-featured > * { margin: auto; }

#testimonials {
    position: relative;
    top: 5vh;
    display: flex;
    width: 100vw;
    align-items: center;
    text-align: center;
    justify-content: space-between;
    min-height: unset;
    height: 72vh;
}

#testimonials>.section-inner {
    position: absolute;
    top: 0vh;
    left: 50%;
    transform: translateX(-50%);
    margin: auto;
    height: 100%;
    width: 30vw;
    display: grid;
    grid-template-columns: repeat(3, 30vw);
    grid-template-rows: repeat(auto-fill, 35vh);
    grid-auto-flow: row dense;
    gap: min(10vh, 2vw);
    padding: 1rem;
}

#testimonials>.section-inner-heading {
    position: relative;
    top: 0;
    max-height: 15vh;
    height: 10vh;
    text-align: left;
}

#testimonials>.section-inner>.section-inner-content {
    margin: auto;
    display: flex;
    position: relative;
    left: 0;
    flex-direction: column;
    justify-content: space-between;
    gap: 1vh;
    text-align: left;
    border: solid 1px;
    width: 90%;
    max-width: 450px;
    height:35vh;
    padding-inline-start: 0vw;
    border-radius: 5px;
    transition: all 0.5s ease-out;
    -webkit-transition: all 0.5s ease-out;
    cursor: pointer;
}

#testimonials>.section-inner>.section-inner-content:hover { transform: scale(1.01); cursor: pointer; }

#testimonials>.section-inner>.section-inner-content>.section-inner-content-section {
    width: 85%;
    margin: auto;
    font-size: 0.85rem;
}

#testimonials>.section-inner>.section-inner-content>.section-inner-content-section#section-inner-content-section3 {
    display: flex;
    margin: auto;
    align-items: baseline;
    padding: 0.3rem;
    justify-content: space-between;
    margin-left: 7.5%;
}

.testimonials-inner-content-section-client-img {
    border: solid #444 1px;
    align-items: center;
    margin: auto;
    margin-left: 0;
    border-radius: 50%;
    height: 35px;
    width: 35px;
    max-width: 25%;
    max-height: auto;
}

.testimonials-inner-content-section-client-details {
    font-size: 0.8rem;
    text-align: left;
    max-width: 75%;
}
.testimonials-link-page:hover{
    font-weight:bold; 

}
section#contact {
    position: relative;
    top: 0vh;
    margin: auto;
    max-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
}


section#contact>.section-inner {
    position: relative;
    top: 0;
    margin: auto;
    height: 80vh;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 2.5px;

}

section#contact>.section-inner>.section-inner-content#contact-form {
    position: absolute;
    top:0;
    width: 100%;
    height: 65vh;
    
    width: 100vw;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin: 0;
}


form:not(#PayFastPayNowForm) {
    position: absolute;
    top:0;
    left: 50%;
    transform:translateX(-50%);
    margin: auto;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    width: 400px;
    height: max(350px,55vh);
    
    
    /* height: 55vh; */
    margin: auto;
    align-items: center;
    padding-top: 0vw;
    max-width: 95vw;

}

form>label {
    margin: 0;
    text-align: right;
    width: 320px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-content: right;
    align-items: right;
    gap: 5px;
    max-width: 75vw;
        margin-top:1.5vh;
    margin-bottom:1.5vh;

}

form>label>strong {
    margin: auto;
    margin-left: 0;
    width: 80px;
    text-align: left;

    max-width: 80%;

}

form>label>input:not(input[type="submit"]) {

    width: 250px;
    max-width: 60vw;
    margin-right: 0;
    padding: 0.67rem;
    border: solid 2px #444;
    border-radius: 5px;

}

form>textarea {
    height: unset;
    
    max-width: 60vw;
    width: 280px;
    min-height: 120px;
    padding: 1rem;
    border: solid #444 2px;
    border-radius: 5px;
    margin: 0;
    margin-top:2.5vh;
    margin-bottom:2.5vh;

}

label:has(input[type="submit"]) {
    margin-bottom: 1.5vw;
    cursor: pointer;
    padding: 0.67rem;
    border-radius: 5px;
    max-width: 150px;
    border: solid 2px #444;
    cursor: pointer;
    min-height: 35px;
    gap: 5px;
}

input[type="submit"] {
    background: none;
    border: none;
    cursor: pointer;
    padding:0.2rem;
    min-height: 105px;
}

footer>div>a>svg {
    min-width: 0.7rem;
    min-height: 0.7rem;
    width: 15px;
    height: 15px;
}
footer>div>a:hover{
    font-weight: bold;
}
footer>.section-inner-content>h3 {
    max-width: 95%;
    max-height: 2vh;
    margin-left: 0.5vw;

}

footer>.section-inner-content>* {
    max-height: 4vh;
    margin: auto 0vh;
    font-size: 16px;
    flex: 0 0 auto;
}



footer  {
    height: 20px;
    width: 300px;
    max-width: 90vw;
    margin: auto 10vw;
    overflow: visible;
    font-size: 0.7rem;
}

footer>div>a>p { overflow: visible; }

footer>div>a>* {
    margin: auto 0.5vh;
}




.button {
    --width: 100px;
    --height: 50px;
    --tooltip-height: 35px;
    --tooltip-width: 90px;
    --gap-between-tooltip-to-button: 25px;
    --button-color: #fff;
    --tooltip-color: #fff;
    width: var(--width);
    height: var(--height);
    background: #fff;
    border: solid 2px #444;
    position: relative;
    margin: 0;
    font-size:0.9rem;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    border-radius: 0.45em;
    font-family: "Arial";
    transition: background 0.3s;
    -webkit-transition: background 0.3s;
    cursor: pointer;
    color: #444;
}

#submit-label {
    position: relative;
    left: 0%;
    transform: unset;
    min-width: 135px;
    min-height: 40px;
    margin-bottom: 5px;
    font-size: 0.9rem;
}

.button::before {
    all: unset;
    position: absolute;
    content: attr(data-tooltip);
    width: var(--tooltip-width);
    height: var(--tooltip-height);
    background-color: rgb(255, 222, 122);
    color: #222;
    opacity: 0;
    font-size: 0.9rem;
    border-radius: .25em;
    line-height: var(--tooltip-height);
    bottom: calc(var(--height) + var(--gap-between-tooltip-to-button) + 10px);
    left: calc(50% - var(--tooltip-width) / 2);
    background-repeat: no-repeat;
    background-position: center center;
}

.button::after {
    position: absolute;
    content: '';
    width: 0;
    height: 0;
    border: 10px solid transparent;
    border-top-color: rgb(255, 222, 122);
    left: calc(50% - 10px);
    bottom: calc(100% + var(--gap-between-tooltip-to-button) - 10px);

}

.button::after,
.button::before {
    opacity: 0;
    visibility: hidden;
    transition: all 0.2s;
    -webkit-transition: all 0.2s;
}

.text {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: auto;
}

.button-wrapper,
.text,
.icon {
    overflow: hidden;
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    left: 0px;
    color: #444;
}


#download-resume-button>.button-wrapper>.text {
    top: -100%;
}

#submit-label>.button-wrapper>.text {
    left: -100%;
}


.text,
.icon {
    transition: top 0.5s ease-in-out, left 0.5s ease-in-out;
    -webkit-transition: top 0.5s ease-in-out, left 0.5s ease-in-out;
}

.icon {
    color: #444;
    display: flex;
    align-items: center;
    justify-content: center;

}



#download-resume-button>.button-wrapper>.icon {
    top: 0%;
}

#submit-label>.button-wrapper>.icon { left: 0%; }
.icon svg {
    width: 30px;
    height: 30px;
}

.button:hover {
    background: #fff;
}

#submit-label.button:hover .icon {
    left: 100%;
}

#submit-label.button:hover .text {
    left: 0%;
}

#download-resume-button.button:hover .text {
    top: 0%;
}

#download-resume-button.button:hover .icon {
    top: 100%;
}

#download-resume-button.button:hover:before,
#download-resume-button.button:hover:after {
    opacity: 1;
    visibility: visible;

}

.button:hover:before,
.button:hover:after {
    opacity: 0;
    visibility: visible;

}

.button:active:after { bottom: calc(var(--height) + var(--gap-between-tooltip-to-button) - 18px); }
.button:hover:after { bottom: calc(var(--height) + var(--gap-between-tooltip-to-button) - 18px); }
.button:active:before { bottom: calc(var(--height) + var(--gap-between-tooltip-to-button)); }
.button:hover:before { bottom: calc(var(--height) + var(--gap-between-tooltip-to-button)); }
#submit-label.clicked:hover:before {
    opacity: 1;
    visibility: visible;
    color: #e7e7e7;
    background-color: green;
    content: "Sent!";
}

#submit-label.clicked:hover:after {
    opacity: 1;
    visibility: visible;
    color: green;
    border-top-color: green;
}

#download-resume-button.button.clicked:hover:before {
    opacity: 1;
    visibility: visible;
    content: "";
    background-image: url("../assets/img/tick.svg");
    background-repeat: no-repeat;
    background-position: center center;
    background-origin: border-box;
    background-color: green;
}

#download-resume-button.button.clicked:hover:after { opacity: 1; visibility: visible; color: green; border-top-color: green; }
a{cursor: pointer;}
